## org.eclipse.datatools.modelbase.dbdefinition.impl
Class TableSpaceDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.TableSpaceDefinitionImpl

All Implemented Interfaces:
  TableSpaceDefinition

public class TableSpaceDefinitionImpl
extends EObjectImpl
implements TableSpaceDefinition

An implementation of the model object 'Table Space Definition'.

The following features are implemented:

- `Type Supported`
- `Extent Size Supported`
- `Prefetch Size Supported`
- `Managed By Supported`
- `Page Size Supported`
- `Buffer Pool Supported`
- `Default Supported`
- `Container Maximum Size Supported`
- `Container Initial Size Supported`
- `Container Extent Size Supported`
- `Table Space Type`
- `Maximum Identifier Length`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getMaximumIdentifierLength()`
`EList` `getTableSpaceType()`
`boolean` `isBufferPoolSupported()`
`boolean` `isContainerExtentSizeSupported()`
`boolean` `isContainerInitialSizeSupported()`
`boolean` `isContainerMaximumSizeSupported()`
`boolean` `isDefaultSupported()`
`boolean` `isExtentSizeSupported()`
`boolean` `isManagedBySupported()`
`boolean` `isPageSizeSupported()`
`boolean` `isPrefetchSizeSupported()`
`boolean` `isTypeSupported()`
`void` `setBufferPoolSupported(boolean newBufferPoolSupported)`
`void` `setContainerExtentSizeSupported(boolean newContainerExtentSizeSupported)`
`void` `setContainerInitialSizeSupported(boolean newContainerInitialSizeSupported)`
`void` `setContainerMaximumSizeSupported(boolean newContainerMaximumSizeSupported)`
`void` `setDefaultSupported(boolean newDefaultSupported)`
`void` `setExtentSizeSupported(boolean newExtentSizeSupported)`
`void` `setManagedBySupported(boolean newManagedBySupported)`
`void` `setMaximumIdentifierLength(int newMaximumIdentifierLength)`
`void` `setPageSizeSupported(boolean newPageSizeSupported)`
`void` `setPrefetchSizeSupported(boolean newPrefetchSizeSupported)`
`void` `setTypeSupported(boolean newTypeSupported)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isTypeSupported

    public boolean isTypeSupported()

  Specified by:
    `isTypeSupported` in interface `TableSpaceDefinition`
  Returns:
    the value of the 'Type Supported' attribute.
  See Also:
    `TableSpaceDefinition.setTypeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_TypeSupported()`

### setTypeSupported

    public void setTypeSupported(boolean newTypeSupported)

  Specified by:
    `setTypeSupported` in interface `TableSpaceDefinition`
  Parameters:
    `newTypeSupported` - the new value of the 'Type Supported' attribute.
  See Also:
    `TableSpaceDefinition.isTypeSupported()`

### isExtentSizeSupported

    public boolean isExtentSizeSupported()

  Specified by:
    `isExtentSizeSupported` in interface `TableSpaceDefinition`
  Returns:
    the value of the 'Extent Size Supported' attribute.
  See Also:
    `TableSpaceDefinition.setExtentSizeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_ExtentSizeSupported()`

### setExtentSizeSupported

    public void setExtentSizeSupported(boolean newExtentSizeSupported)

  Specified by:
    `setExtentSizeSupported` in interface `TableSpaceDefinition`
  Parameters:
    `newExtentSizeSupported` - the new value of the 'Extent Size Supported' attribute.
  See Also:
    `TableSpaceDefinition.isExtentSizeSupported()`

### isPrefetchSizeSupported

    public boolean isPrefetchSizeSupported()

  Specified by:
    `isPrefetchSizeSupported` in interface `TableSpaceDefinition`
  Returns:
    the value of the 'Prefetch Size Supported' attribute.
  See Also:
    `TableSpaceDefinition.setPrefetchSizeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_PrefetchSizeSupported()`

### setPrefetchSizeSupported

    public void setPrefetchSizeSupported(boolean newPrefetchSizeSupported)

  Specified by:
    `setPrefetchSizeSupported` in interface `TableSpaceDefinition`
  Parameters:
    `newPrefetchSizeSupported` - the new value of the 'Prefetch Size Supported' attribute.
  See Also:
    `TableSpaceDefinition.isPrefetchSizeSupported()`

### isManagedBySupported

    public boolean isManagedBySupported()

  Specified by:
    `isManagedBySupported` in interface `TableSpaceDefinition`
  Returns:
    the value of the 'Managed By Supported' attribute.
  See Also:
    `TableSpaceDefinition.setManagedBySupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_ManagedBySupported()`

### setManagedBySupported

    public void setManagedBySupported(boolean newManagedBySupported)

  Specified by:
    `setManagedBySupported` in interface `TableSpaceDefinition`
  Parameters:
    `newManagedBySupported` - the new value of the 'Managed By Supported' attribute.
  See Also:
    `TableSpaceDefinition.isManagedBySupported()`

### isPageSizeSupported

    public boolean isPageSizeSupported()

  Specified by:
    `isPageSizeSupported` in interface `TableSpaceDefinition`
  Returns:
    the value of the 'Page Size Supported' attribute.
  See Also:
    `TableSpaceDefinition.setPageSizeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_PageSizeSupported()`

### setPageSizeSupported

    public void setPageSizeSupported(boolean newPageSizeSupported)

  Specified by:
    `setPageSizeSupported` in interface `TableSpaceDefinition`
  Parameters:
    `newPageSizeSupported` - the new value of the 'Page Size Supported' attribute.
  See Also:
    `TableSpaceDefinition.isPageSizeSupported()`

### isBufferPoolSupported

    public boolean isBufferPoolSupported()

  Specified by:
    `isBufferPoolSupported` in interface `TableSpaceDefinition`
  Returns:
    the value of the 'Buffer Pool Supported' attribute.
  See Also:
    `TableSpaceDefinition.setBufferPoolSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_BufferPoolSupported()`

### setBufferPoolSupported

    public void setBufferPoolSupported(boolean newBufferPoolSupported)

  Specified by:
    `setBufferPoolSupported` in interface `TableSpaceDefinition`
  Parameters:
    `newBufferPoolSupported` - the new value of the 'Buffer Pool Supported' attribute.
  See Also:
    `TableSpaceDefinition.isBufferPoolSupported()`

### isDefaultSupported

    public boolean isDefaultSupported()

  Specified by:
    `isDefaultSupported` in interface `TableSpaceDefinition`
  Returns:
    the value of the 'Default Supported' attribute.
  See Also:
    `TableSpaceDefinition.setDefaultSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_DefaultSupported()`

### setDefaultSupported

    public void setDefaultSupported(boolean newDefaultSupported)

  Specified by:
    `setDefaultSupported` in interface `TableSpaceDefinition`
  Parameters:
    `newDefaultSupported` - the new value of the 'Default Supported' attribute.
  See Also:
    `TableSpaceDefinition.isDefaultSupported()`

### isContainerMaximumSizeSupported

    public boolean isContainerMaximumSizeSupported()

  Specified by:
    `isContainerMaximumSizeSupported` in interface `TableSpaceDefinition`
  Returns:
    the value of the 'Container Maximum Size Supported' attribute.
  See Also:
    `TableSpaceDefinition.setContainerMaximumSizeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_ContainerMaximumSizeSupported()`

### setContainerMaximumSizeSupported

    public void setContainerMaximumSizeSupported(boolean newContainerMaximumSizeSupported)

  Specified by:
    `setContainerMaximumSizeSupported` in interface `TableSpaceDefinition`
  Parameters:
    `newContainerMaximumSizeSupported` - the new value of the 'Container Maximum Size Supported' attribute.
  See Also:
    `TableSpaceDefinition.isContainerMaximumSizeSupported()`

### isContainerInitialSizeSupported

    public boolean isContainerInitialSizeSupported()

  Specified by:
    `isContainerInitialSizeSupported` in interface `TableSpaceDefinition`
  Returns:
    the value of the 'Container Initial Size Supported' attribute.
  See Also:
    `TableSpaceDefinition.setContainerInitialSizeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_ContainerInitialSizeSupported()`

### setContainerInitialSizeSupported

    public void setContainerInitialSizeSupported(boolean newContainerInitialSizeSupported)

  Specified by:
    `setContainerInitialSizeSupported` in interface `TableSpaceDefinition`
  Parameters:
    `newContainerInitialSizeSupported` - the new value of the 'Container Initial Size Supported' attribute.
  See Also:
    `TableSpaceDefinition.isContainerInitialSizeSupported()`

### isContainerExtentSizeSupported

    public boolean isContainerExtentSizeSupported()

  Specified by:
    `isContainerExtentSizeSupported` in interface `TableSpaceDefinition`
  Returns:
    the value of the 'Container Extent Size Supported' attribute.
  See Also:
    `TableSpaceDefinition.setContainerExtentSizeSupported(boolean)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_ContainerExtentSizeSupported()`

### setContainerExtentSizeSupported

    public void setContainerExtentSizeSupported(boolean newContainerExtentSizeSupported)

  Specified by:
    `setContainerExtentSizeSupported` in interface `TableSpaceDefinition`
  Parameters:
    `newContainerExtentSizeSupported` - the new value of the 'Container Extent Size Supported' attribute.
  See Also:
    `TableSpaceDefinition.isContainerExtentSizeSupported()`

### getTableSpaceType

    public EList getTableSpaceType()

  Specified by:
    `getTableSpaceType` in interface `TableSpaceDefinition`
  Returns:
    the value of the 'Table Space Type' attribute list.
  See Also:
    `TableSpaceType`, `DatabaseDefinitionPackage.getTableSpaceDefinition_TableSpaceType()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Specified by:
    `getMaximumIdentifierLength` in interface `TableSpaceDefinition`
  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `TableSpaceDefinition.setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getTableSpaceDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int newMaximumIdentifierLength)

  Specified by:
    `setMaximumIdentifierLength` in interface `TableSpaceDefinition`
  Parameters:
    `newMaximumIdentifierLength` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `TableSpaceDefinition.getMaximumIdentifierLength()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.